*{
    margin : 0;
    padding : 0;
}

header {
    height: 60px;
    background-color: gray;
    display : flex;
    flex-direction: column;

}
#main{
    display : flex;
    flex-wrap: wrap;
    height: 500px;
    margin: 10px 0;
}
#b{
    display: flex;  
    justify-content: flex-start;
    background-color: green;
    flex-grow: 1;
   
}
#c{
    flex-grow: 1;
    background-color: yellow;
}
#a{
    flex-grow: 2;
    background-color: yellowgreen;
}
footer {
    height: 60px;
    background-color: gray;
    display : flex;
    flex-direction: column;

}
@media screen and (max-width : 1000px){
    #a{
        order : -1;
        width: 100%;
    }
    #main{
        flex-direction: row;
    }
    #b,#c{
        width: 50%;
    }
}

@media screen and (max-width: 500px) {
    #main{
        display: flex;
        flex-direction: column;
    }
    #b,#c{
        width: 100%;
    }
}
